package response

import (
	"fmt"
	"github.com/gogf/gf/errors/gerror"
	"github.com/gogf/gf/frame/g"
	"github.com/gogf/gf/net/ghttp"
	"gitlab.jxhh.com/zhaoxueru/common-base.git/pkg/errors"
	"testing"
)
func init()  {
	errors.MustRegister(errors.BizCode{
		C: 100001,
		M: "success",
	})
	errors.MustRegister(errors.BizCode{
		C: 100002,
		M: "参数错误",
	})
}

func TestJsonExit(t *testing.T) {
	data := g.Map{
		"a" : 1,
		"b" : "我事哈哈哈",
	}
	err := gerror.NewCode(errors.New(100002, "", ""), "My Error")
	fmt.Println(err)
	JsonExit(&ghttp.Request{}, nil, data)
}
